Skip to main content
GET
/
payouts
/
{payout_id}
/
breakup
JavaScript
import DodoPayments from 'dodopayments';

const client = new DodoPayments({
  bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted
});

const breakups = await client.payouts.breakup.retrieve('pyt_zFTrrn4sk3x3y2vjDBW3T');

console.log(breakups);
[
  {
    "event_type": "<string>",
    "total": 123
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

payout_id
string
required

Id of the Payout to get breakup for

Response

Payout breakup by event type in payout currency

event_type
string
required

The type of balance ledger event (e.g., "payment", "refund", "dispute", "payment_fees").

total
integer<int64>
required

Total amount for this event type in the payout's currency, in that currency's smallest unit (cents for USD, yen for JPY, fils for KWD).

Last modified on April 1, 2026